from django.contrib import admin
from django.contrib.auth.admin import UserAdmin

from .forms import CustomUserCreationForm
from .models import NotificationSettings, User  # AssetRestriction,; Plan,; Session,

# admin.site.__class__ = OTPAdminSite

# otp_admin_site = OTPAdminSite(OTPAdminSite.name)
# for model_cls, model_admin in admin.site._registry.items():
#     otp_admin_site.register(model_cls, model_admin.__class__)


# Register your models here.
class CustomUserAdmin(UserAdmin):
    # list_filter = ["plans"]
    model = User
    add_form = CustomUserCreationForm
    fieldsets = (
        *UserAdmin.fieldsets,
        (
            "Billing information",
            {"fields": ("billing_provider_id", "payment_provider_id")},
        ),
    )


class NotificationSettingsAdmin(admin.ModelAdmin):
    list_display = ("user", "ntfy_topic", "ntfy_url")


admin.site.register(User, CustomUserAdmin)
admin.site.register(NotificationSettings, NotificationSettingsAdmin)
